<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_44e986c04f" . "41a08b56a38" . "3c7b3a88ee2" => base64_decode("c2Vu" . "ZGVy"), "_8c575917c" . "baedf1e7ef" . "ae84939402" . "bff" => base64_decode("U3Vi" . "amVj" . "dA=="), "_6e1c717cf3cbf1af982ed74d4336b7f" . "1" => base64_decode("Ym9ke" . "S1odG" . "1s"), "_9c050c786fc87" . "170cbb84fc6a8b" . "13cb6" => base64_decode("YXR0YWN" . "obWVudC" . "0="), "_97ea09a7faf27c52c6eff" . "69773df1d8a" => base64_decode("dGlt" . "ZXN0" . "YW1w"), "_f39f5346e313e4dd1ac3a7bd80" . "32beda" => base64_decode("c3Vic3RyX2Nvb" . "XBhcmU="), "_d706c160e45bf74" . "34fff82a5976f0e1" . "9" => base64_decode("YXJyYXlfa2V5cw" . "=="), "_1d6c68a026" . "2e8fa0bed12" . "15b7224a98e" => base64_decode("cmVjaXB" . "pZW50"), "_f589476007fa1" . "33f457c3ef29dd" . "fa566" => base64_decode("VG" . "8="), "_618a4aeb9fecc4592a4521f348" . "76fa29" => base64_decode("Zn" . "Jv" . "bQ" . "=="), "_a1e707d02a236dadebd15a4" . "5e65ebdb6" => base64_decode("YXR0YWNob" . "WVudC1jb3" . "VudA=="), "_956cd32298a229f97" . "68f1096f077ace3" => base64_decode("Ym9keS1wbGFp" . "bg=="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d706c16" . "0e45bf74" . "34fff82a" . "5976f0e1" . "9"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a1e707d02a236dadebd15a45" . "e65ebdb6"] && $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_f39f5346e313e" . "4dd1ac3a7bd803" . "2beda"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_9c050c786fc87170cbb84fc6a8b13c" . "b6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_1d6c68a0262e8fa0bed1215b72" . "24a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_618a4aeb9fecc4592a4521f348" . "76fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f589476007fa133f4" . "57c3ef29ddfa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8c575917cbaedf1e7efae8" . "4939402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6e1c717cf3cbf1af982ed7" . "4d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_956cd32298a229f9768f1096f077ac" . "e3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_97ea09a7faf27c52" . "c6eff69773df1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_44e986c04f" . "41a08b56a38" . "3c7b3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}